import * as $dara from '@darabonba/typescript';
import { DescribeAttackAnalysisDataResponseBody } from "./DescribeAttackAnalysisDataResponseBody";
export declare class DescribeAttackAnalysisDataResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeAttackAnalysisDataResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
